logo
Voice Call
Server API
Stream Mixing and Transcoding APIs
On this page

DelForbidUserRule

GET

https://rtc-api.zego.im/

Delete prohibition rules for users entering the Room. When certain user prohibition rules become invalid, are no longer needed, or the total number of rules exceeds the limit, you can delete user prohibition rules through this interface.

After deletion, you can use Query User Prohibition Rules to verify whether the corresponding user prohibition rules have been successfully deleted.

Call Frequency Limit
All rooms under the same AppID are limited to 10 times/second.
Notice

The maximum number of rules supported varies by RuleType. If you no longer need certain rules, please call this interface to clean them up in a timely manner. Additionally, ZEGOCLOUD will periodically clean up invalid prohibition rules in the database.

Request

Query Parameters

    Action stringrequired

    Possible values: [DelForbidUserRule]

    API prototype parameters

    https://rtc-api.zego.im?Action=DelForbidUserRule

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

    RuleType int32required

    Possible values: [1, 2, 3, 4]

    The type of prohibition rule to delete:

    • 1: Prohibit users by IP address;
    • 2: Prohibit users by RoomId;
    • 3: Prohibit users by UserId;
    • 4: Prohibit users by both RoomId and UserId.
    IP string

    IP address. Required when RuleType is 1.

    RoomId string

    Room ID. Required when RuleType is 2 or 4.

    UserId string

    User ID. Required when RuleType is 3 or 4.

Responses

Operation successful
Schema
    Code int32

    Return code. The following only lists some return codes related to API business logic. For complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionSuggested Action
    0Request successful.-
    1Request failed.Please contact ZEGOCLOUD technical support.
    2Input parameter error.-
    9Permission to use this interface has not been granted.Please contact ZEGOCLOUD technical support.
    206App request QPS too high and was limited.Reduce request frequency, or contact ZEGOCLOUD technical support to increase the QPS limit threshold.
    50123The number of currently valid prohibition rules exceeds the limit.Please reduce the number of rules.
    Message string

    Description of the operation result.

    RequestId string

    Request ID.

Previous

DescribeForbidUserRules

Next

Overview

On this page

Back to top